{
    FreeWinRally - Un programma per ricevere via packet i tempi dei rally
    Copyright (C) 2000, 2001, 2002 Sezione ARI Casale Monferrato & I1EPJ

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
unit Ufine;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Config, SysUtils;

type
  TFine = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    Bevel1: TBevel;
    Image1: TImage;
    Label1: TLabel;
    procedure OKBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
	 procedure SaveRallyFile;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Fine: TFine;

implementation

{$R *.DFM}

procedure TFine.OKBtnClick(Sender: TObject);

begin
   SaveRallyFile;
	CloseFile(RawLogFile);
   CloseFile(Quaderno);
   if PortNum >= 0 then CloseComm(PortNum);
   if CronoPortNum >=0 then CloseComm(CronoPortNum);
   DeleteFile('TMPQUAD.DAT');
	Halt;
end;

procedure TFine.CancelBtnClick(Sender: TObject);
begin
	Fine.Visible := False;
end;

procedure TFine.SaveRallyFile;

var FName: string;
    Foglio: TFoglio;
	 Ret: integer;

begin
	FmtStr(FName, '%s.RLY', [NomeFile]);
   try
     	AssignFile(RallyFile, FName);
      	Rewrite(RallyFile,1);
       BlockWrite(RallyFile, Conf, SizeOf(Conf));
       Seek(Quaderno,0);
       while not Eof(Quaderno) do begin
			Read(Quaderno,Foglio);
	        BlockWrite(RallyFile, Foglio, SizeOf(Foglio));
       end;
       CloseFile(RallyFile);
   except
      	on EInOutError do begin
  			Ret := Application.MessageBox('Non riesco a salvare il file del rally!',
				'Errore!', MB_ICONSTOP+MB_OK);
       end;
   end;
end;

end.
